function z=fct2D(x,y,function_type)

%--------------------------------------------------------------------------
% FUNCTION DEFINITION.
%--------------------------------------------------------------------------
%
% INPUT:
%
% [x,y]: EVALUATE THE FUNCTION IN THE POINTS (x,y). "x", "y" ARE COLUMN VECTORS.
%
% [function_type]: PARAMETER THAT CHOOSES THE FUNCTION.
%
% OUTPUT:
%
% [z]: VALUE OF THE FUNCTION IN THE POINTS (x,y). IT IS A COLUMN VECTOR.
%
%--------------------------------------------------------------------------

switch function_type
    
    case 1
        z=(x+y).^19;

    case 2
        loc_arg=(x-0.5).^2+(y-0.5).^2;
        z=exp(-loc_arg);

    case 3
        loc_arg=(x-0.5).^2+(y-0.5).^2;
        z=exp(-100*loc_arg);

    case 4
        z=( (x-0.5).^2 +(y-0.5).^2 ).^(1/2);

    case 5
        z=cos(20*(x+y));
        
end

